Package org.apache.maven.scm.provider.svn.svnexe.command.changelog

## Class SvnChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.changelog.SvnChangeLogConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SvnChangeLogConsumer
    extends AbstractConsumer

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`SvnChangeLogConsumer​(ScmLogger logger, java.lang.String userDateFormat)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnChangeLogConsumer

    public SvnChangeLogConsumer​(ScmLogger logger,
                                java.lang.String userDateFormat)

Default constructor.

### Method Detail

#### getModifications

    public java.util.List<ChangeSet> getModifications()

#### consumeLine

    public void consumeLine​(java.lang.String line)